summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
Diffstat (limited to 'ci')
-rwxr-xr-xci/03-maasdeploy.sh21
-rw-r--r--ci/config_tpl/juju2/bundle_tpl/ceilometer.yaml16
-rw-r--r--ci/config_tpl/juju2/bundle_tpl/relations.yaml9
-rw-r--r--ci/net.xml5
-rwxr-xr-xci/nosdn/fetch-charms.sh3
5 files changed, 35 insertions, 19 deletions
diff --git a/ci/03-maasdeploy.sh b/ci/03-maasdeploy.sh
index a6b311dc..869d97e4 100755
--- a/ci/03-maasdeploy.sh
+++ b/ci/03-maasdeploy.sh
@@ -209,16 +209,13 @@ sudo virsh pool-define-as default --type dir --target /var/lib/libvirt/images/ |
sudo virsh pool-start default || true
sudo virsh pool-autostart default || true
-# In case of virtual install set network
-if [ "$virtinstall" -eq 1 ]; then
- sudo virsh net-dumpxml default > default-net-org.xml
- sed -i '/dhcp/d' default-net-org.xml
- sed -i '/range/d' default-net-org.xml
- sudo virsh net-destroy default
- sudo virsh net-define default-net-org.xml
- sudo virsh net-start default
- rm -f default-net-org.xml
-fi
+# As we use kvm so setup network on admin network
+ADMIN_BR=`cat labconfig.json | jq '.opnfv.spaces[] | select(.type=="admin")'.bridge | cut -d \" -f 2 `
+sed -i "s@brAdm@$ADMIN_BR@" net.xml
+sudo virsh net-destroy default || true
+sudo virsh net-undefine default || true
+sudo virsh net-define net.xml || true
+sudo virsh net-start default || true
#
# Cleanup, juju init and config backup
@@ -465,9 +462,7 @@ addnodes(){
VIRSHIP="" # TODO: parse from $VIRSHURL if needed
fi
- if [ "$virtinstall" -eq 1 ]; then
- netw=" --network bridge=virbr0,model=virtio"
- elif ([ "$VIRSHHOST" != "" ]); then
+ if ([ "$VIRSHHOST" != "" ]); then
# Get the bridge hosting the remote virsh
brid=$(ssh $VIRSHHOST "ip a l | grep $VIRSHHOST | perl -pe 's/.* (.*)\$/\$1/g'")
netw=" --network bridge=$brid,model=virtio"
diff --git a/ci/config_tpl/juju2/bundle_tpl/ceilometer.yaml b/ci/config_tpl/juju2/bundle_tpl/ceilometer.yaml
index 49bd4f7d..33bbbd8a 100644
--- a/ci/config_tpl/juju2/bundle_tpl/ceilometer.yaml
+++ b/ci/config_tpl/juju2/bundle_tpl/ceilometer.yaml
@@ -1,7 +1,17 @@
- mongodb:
- charm: ./{{ ubuntu.release }}/mongodb
+ gnocchi:
+ charm: ./{{ ubuntu.release }}/gnocchi
+ num_units: 1
+{% if os.service.bindings %}
+ bindings:
+ "": *internal-space
+{% endif %}
+ options:
+ openstack-origin: *openstack-origin
+ to:
+ - "lxd:nodes/0"
+ memcached:
+ charm: ./{{ ubuntu.release }}/memcached
num_units: 1
- constraints: *oam-space-constr
{% if os.service.bindings %}
bindings:
"": *internal-space
diff --git a/ci/config_tpl/juju2/bundle_tpl/relations.yaml b/ci/config_tpl/juju2/bundle_tpl/relations.yaml
index 2ed75e67..9fd234ff 100644
--- a/ci/config_tpl/juju2/bundle_tpl/relations.yaml
+++ b/ci/config_tpl/juju2/bundle_tpl/relations.yaml
@@ -5,10 +5,15 @@
- [ 'nova-cloud-controller:quantum-network-service', 'neutron-gateway:quantum-network-service' ]
- [ 'ceilometer:amqp', 'rabbitmq-server:amqp' ]
- [ 'ceilometer-agent:ceilometer-service', 'ceilometer:ceilometer-service' ]
- - [ 'ceilometer:identity-service', 'keystone:identity-service' ]
- [ 'ceilometer:identity-notifications', 'keystone:identity-notifications' ]
- [ 'ceilometer-agent:nova-ceilometer', 'nova-compute:nova-ceilometer' ]
- - [ 'ceilometer:shared-db', 'mongodb:database' ]
+ - [ 'gnocchi:storage-ceph', 'ceph-mon:client' ]
+ - [ 'gnocchi:shared-db', 'mysql:shared-db' ]
+ - [ 'gnocchi:amqp', 'rabbitmq-server:amqp' ]
+ - [ 'gnocchi:coordinator-memcached', 'memcached:cache' ]
+ - [ 'gnocchi:metric-service', 'ceilometer:metric-service' ]
+ - [ 'gnocchi:identity-service', 'keystone:identity-service' ]
+ - [ 'ceilometer:identity-credentials', 'keystone:identity-credentials' ]
{% endif %}
- [ 'heat:shared-db', 'mysql:shared-db' ]
- [ 'heat:identity-service', 'keystone:identity-service' ]
diff --git a/ci/net.xml b/ci/net.xml
new file mode 100644
index 00000000..110428f1
--- /dev/null
+++ b/ci/net.xml
@@ -0,0 +1,5 @@
+<network>
+ <name>default</name>
+ <forward mode='bridge'/>
+ <bridge name='brAdm'/>
+</network>
diff --git a/ci/nosdn/fetch-charms.sh b/ci/nosdn/fetch-charms.sh
index 2bf78313..a38518fe 100755
--- a/ci/nosdn/fetch-charms.sh
+++ b/ci/nosdn/fetch-charms.sh
@@ -34,8 +34,9 @@ git clone -b stable/18.02 https://github.com/openstack/charm-heat.git $distro/he
git clone -b stable/18.02 https://github.com/openstack/charm-lxd.git $distro/lxd
git clone https://github.com/openbaton/juju-charm.git $distro/openbaton
+charm pull cs:memcached $distro/memcached
+charm pull cs:gnocchi $distro/gnocchi
charm pull cs:$distro/aodh $distro/aodh
-charm pull cs:$distro/mongodb $distro/mongodb
charm pull cs:ntp $distro/ntp
charm pull cs:$distro/haproxy $distro/haproxy
charm pull cs:~narindergupta/congress-1 $distro/congress